> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order Address List

> Address update for existing orders



## OpenAPI

````yaml /openapi/scx/channel.json put /v1/channel/order/address-update
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/order/address-update:
    put:
      tags:
        - Order
      summary: Update Order Address List
      description: Address update for existing orders
      operationId: UpdateOrderAddressUpdate
      requestBody:
        $ref: '#/components/requestBodies/UpdateOrderAddressUpdate'
      responses:
        '200':
          $ref: '#/components/responses/OptionalErrorResponse'
        '201':
          description: Address updated successful
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  requestBodies:
    UpdateOrderAddressUpdate:
      description: List of customer address updates for existing orders.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderAddressUpdateList'
  responses:
    OptionalErrorResponse:
      description: Call was overall successful but some items can be faulty
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: CHN401
                message: >-
                  Not all orders could be processed. 9 out of 10 orders were
                  stored successfully
                severity: warning
                hint: null
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ResourceNotFound:
      description: Requested resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN404
                message: Not found
                severity: error
                hint: null
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    OrderAddressUpdateList:
      type: object
      required:
        - orderList
      properties:
        orderList:
          type: array
          minItems: 1
          maxItems: 1000
          items:
            $ref: '#/components/schemas/OrderAddressUpdate'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    OrderAddressUpdate:
      type: object
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          $ref: '#/components/schemas/ChannelOrderId'
        billingAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          nullable: true
        shippingAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          nullable: true
        buyer:
          allOf:
            - $ref: '#/components/schemas/OrderBuyer'
          nullable: true
      required:
        - sellerId
        - orderId
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ChannelOrderId:
      type: string
      minLength: 1
      maxLength: 150
      example: 43523-43432-43532
    Address:
      type: object
      required:
        - lastName
        - street
        - city
        - country
      properties:
        firstName:
          type: string
          example: Arno
        lastName:
          type: string
          example: Nym
        gender:
          type: string
          enum:
            - male
            - female
            - diverse
        companyName:
          type: string
        street:
          type: string
          example: Leyboldstrasse
        houseNumber:
          type: string
          example: 14a
        addition:
          type: string
          example: 1. UG
        postcode:
          type: string
          example: '50354'
        city:
          type: string
          example: Hürth
        phone:
          type: string
          example: +49 0221 123456
        country:
          type: string
          example: DE
        state:
          type: string
          example: NRW
          nullable: true
    OrderBuyer:
      type: object
      properties:
        email:
          type: string
          format: email
        vatId:
          type: string
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````